Subject: bug#44100: On Amin's proposed change

From: Olivier Certner <[email-masked]>
Date: Tue, 06 Jul 2021 16:29:43 +0200

For the record, an extract of a private exchange with Amin on the change he 
proposed earlier in this bug (Bug#44100).

> > Sounds good, thanks!  Instrumenting the function(s),
> > putting breakpoints, and playing around with them should
> > hopefully help develop some intuition around them. 
> 
> As I was suspecting, your patch didn't work just because you did not convert
> the calls to `erc-track-find-face' correctly with respect to the change you
> wanted to make.
> 
> I'm not particularly keen on changing `erc-modified-channels-alist' format,
> I just find it OK as it is (more compact), and chose to change its
> documentation instead. Now, if you really insist on the other way, it's
> quick to do as well, and I'll send you the corresponding proposal.
> 
> I've also spent a while figuring out what `erc-track-find-face' does, and
> I've decided to rewrite it for clarification (without changing the
> behavior). It then appeared to me that its interface and call sites were
> doing something I also suspected to be wrong, for which I did apply another
> correction.
> 
> And I also updated the documentation of some vars/funs involved in tracking,
> to make things a bit easier to understand and cross-link better between
> them.
> 
> I'm currently testing the changes, and everything seems fine so far. I'll
> make the changes publicly available tomorrow for you to see, so we can
> start discussing them.

I made these changes public a while ago in Bug#46775.

-- 
Olivier Certner